%define	upstream_name	 CPANPLUS
%define upstream_version 0.9120

%define _requires_exceptions perl(Your::Module::Here)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    API & CLI access to the CPAN mirrors
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/CPANPLUS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Extract) >= 0.160.0
BuildRequires: perl(Archive::Tar) >= 1.230.0
BuildRequires: perl(CPANPLUS::Dist::Build) >= 0.600.0
BuildRequires: perl(CPANPLUS::Dist::Mageia)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::Install) >= 1.420.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Fetch) >= 0.150_200
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(IO::Zlib) >= 1.40.0
BuildRequires: perl(IPC::Cmd) >= 0.360.0
BuildRequires: perl(Locale::Maketext::Simple) >= 0.10.0
BuildRequires: perl(Log::Message) >= 0.10.0
BuildRequires: perl(Module::CoreList) >= 2.220.0
BuildRequires: perl(Module::Load) >= 0.100.0
BuildRequires: perl(Module::Load::Conditional) >= 0.380.0
BuildRequires: perl(Module::Loaded) >= 0.10.0
BuildRequires: perl(Module::Pluggable) >= 2.400.0
BuildRequires: perl(Module::Signature) >= 0.60.0
BuildRequires: perl(Object::Accessor) >= 0.340.0
BuildRequires: perl(Package::Constants) >= 0.10.0
BuildRequires: perl(Params::Check) >= 0.220.0
BuildRequires: perl(Parse::CPAN::Meta) >= 1.420.0
BuildRequires: perl(Storable)
BuildRequires: perl(Term::UI) >= 0.180.0
BuildRequires: perl(Test::Harness) >= 2.620.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(version) >= 0.770.0
BuildArch:  noarch

%description
The CPANPLUS library is an API to the CPAN mirrors and a collection of
interactive shells, commandline programs, etc, that use this API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# wants to write to the root fs
rm -f t/20_CPANPLUS-Dist-MM.t

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
%makeinstall_std

%files
%doc ChangeLog META.yml MYMETA.yml README
%{_bindir}/cpan2dist
%{_bindir}/cpanp
%{_bindir}/cpanp-run-perl
%{perl_vendorlib}/CPANPLUS*
%{_mandir}/*/*

%changelog

* Tue Mar 06 2012 jquelin <jquelin> 0.912.0-1.mga2
+ Revision: 220153
- update to 0.9120

* Thu Feb 23 2012 jquelin <jquelin> 0.911.800-1.mga2
+ Revision: 212730
- update to 0.9118

* Mon Jan 09 2012 jquelin <jquelin> 0.911.600-2.mga2
+ Revision: 193908
+ rebuild (emptylog)

* Mon Jan 09 2012 jquelin <jquelin> 0.911.600-1.mga2
+ Revision: 193812
- update to 0.9116

* Wed Jan 04 2012 jquelin <jquelin> 0.911.500-1.mga2
+ Revision: 190295
- update to 0.9115

* Fri Dec 09 2011 kharec <kharec> 0.911.300-1.mga2
+ Revision: 179728
- New version 0.9113

* Tue Nov 15 2011 jquelin <jquelin> 0.911.200-1.mga2
+ Revision: 167969
- update to 0.9112

* Mon Nov 14 2011 jquelin <jquelin> 0.911.100-2.mga2
+ Revision: 167762
- provide MYMETA, use it for requires

* Mon Sep 26 2011 jquelin <jquelin> 0.911.100-1.mga2
+ Revision: 148263
- adding missing buildrequires:
- adding missing buildrequires:
- update to 0.9111
- update to 0.9109

  + takashi <takashi>
    - fixing the spec file
    - fix specs
    - fix specs
    - update to 0.9110

* Fri Jul 08 2011 jquelin <jquelin> 0.910.600-1.mga2
+ Revision: 120361
- update to 0.9106

* Sat Jul 02 2011 ahmad <ahmad> 0.910.500-2.mga2
+ Revision: 117251
- Add BR and runtime requires on perl(Archive::Extract), otherwise compilation
  fails

* Wed Jun 15 2011 jquelin <jquelin> 0.910.500-1.mga2
+ Revision: 106510
- update to 0.9105

* Thu Mar 24 2011 jquelin <jquelin> 0.910.300-1.mga1
+ Revision: 76616
- update to 0.9103

* Wed Mar 02 2011 jquelin <jquelin> 0.910.200-1.mga1
+ Revision: 62517
- update to 0.9102

* Sat Feb 26 2011 jquelin <jquelin> 0.910.100-1.mga1
+ Revision: 60217
- update to 0.9101

* Wed Jan 26 2011 jquelin <jquelin> 0.901.0-1.mga1
+ Revision: 40659
- mageia rebuild
- fix specs
- imported package perl-CPANPLUS


* Sat Nov 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.901.0-1mdv2011.0
+ Revision: 597212
- update to 0.9010

* Wed Jul 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.900.700-1mdv2011.0
+ Revision: 553064
- update to 0.9007

* Tue Mar 16 2010 Jérôme Quelin <jquelin@mandriva.org> 0.900.300-1mdv2010.1
+ Revision: 521607
- update to 0.9003

* Mon Mar 15 2010 Jérôme Quelin <jquelin@mandriva.org> 0.900.200-1mdv2010.1
+ Revision: 520141
- update to 0.9002
- update to 0.9001

* Thu Dec 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.900.100-1mdv2010.1
+ Revision: 482075
- update to 0.9001

* Mon Dec 21 2009 Jérôme Quelin <jquelin@mandriva.org> 0.900.0-1mdv2010.1
+ Revision: 480715
- update to 0.90

* Wed Jul 08 2009 Jérôme Quelin <jquelin@mandriva.org> 0.880.0-1mdv2010.0
+ Revision: 393636
- update to 0.88

* Tue Jul 07 2009 Jérôme Quelin <jquelin@mandriva.org> 0.860.100-1mdv2010.0
+ Revision: 393096
- bumping some buildrequires: versions
- bumping version of some buildrequires:
- update to 0.8601
- using %%perl_convert_version

* Mon Jul 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.84-6mdv2010.0
+ Revision: 392920
- fixing bug 35018

* Mon Mar 02 2009 Buchan Milne <bgmilne@mandriva.org> 0.84-5mdv2009.1
+ Revision: 347435
- More manual requires (bug #35018)

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - keep bash completion in its own package

* Wed Jan 28 2009 Michael Scherer <misc@mandriva.org> 0.84-3mdv2009.1
+ Revision: 334791
- add missing requires

* Thu Jun 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.84-2mdv2009.0
+ Revision: 218613
- bash completion enhancement

* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.84-1mdv2008.1
+ Revision: 137995
- update to new version 0.84
- update to new version 0.84

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.82-2mdv2008.1
+ Revision: 109455
- bash completion

* Tue Aug 21 2007 Buchan Milne <bgmilne@mandriva.org> 0.82-1mdv2008.0
+ Revision: 68227
- New version 0.82

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.80-1mdv2008.0
+ Revision: 48174
- new version

* Tue Jun 26 2007 Buchan Milne <bgmilne@mandriva.org> 0.78-1mdv2008.0
+ Revision: 44565
- Import perl-CPANPLUS



* Thu Jun 21 2007 Buchan Milne <bgmilne@mandriva.org> 0.78-1mdv2007.1
- initial package
